<?php
/**
* Advanced Censor
*
* @package Advanced Censor
* @author Adam Tallon
* @copyright 2013 Adam Tallon
* @license See license.txt file
*
* @version 0.3
*/

if (!defined('SMF'))
	die('No direct access...');

/*
 * Checks if any censored words exist in the posted message, if so the message is flagged for moderation
 *
 * @return true|false, returns true if censored words are found in the message body, otherwise it will return false
 */
function containsCensoredWords($pMessageBody)
{
	global $modSettings;
	
	$vCensorVulgar = null;
	
	if ($vCensorVulgar == null && !empty($modSettings['censor_vulgar']))
	{
		$vCensorVulgar = explode("\n", $modSettings['censor_vulgar']);

		if (!empty($vCensorVulgar))
		{
			for ($i = 0, $n = count($vCensorVulgar); $i < $n; $i++)
			{
				if (strstr($pMessageBody, $vCensorVulgar[$i]))
					return true;
			}
		}
	}	
	
	return false;
}